Subject: RFC 3484 Question

From: "Leino, Tammy" <[email-masked]>
Date: Thu, 25 Oct 2007 13:36:16 -0600

Hello All,

I have a question regarding two examples in section 10.2 of RFC 3484 for default destination address selection.

The Default Policy Table is defined as:

Prefix        Precedence   Label
--------------------------------
::1/128       50           0
::/0          40           1
2002::/16     30           2
::/96         20           3
::ffff:0:0/96 10           4

I have questions about the third, and last examples shown based on the Default Policy Table contents.

Third Example:

   Candidate Source Addresses: 2001::2 or fe80::1 or 10.1.2.4
   Destination Address List: 2001::1 or 10.1.2.3
   Result: 2001::1 (src 2001::2) then 10.1.2.3 (src 10.1.2.4) (prefer
   higher precedence)

The outcome shows that 2001::1 is sorted as the "best" address because of higher precedence, but I do not see how the Default Policy Table would return a matching prefix for this address.  Can someone please explain how the Default Policy Table returns a precedence value for the addresses 2001::1 and 2001::2.

Last Example:

   Candidate Source Addresses: 2002:836b:4179::2 or 2001::2 or fe80::2
   Destination Address List: 2002:836b:4179::1 or 2001::1
   Result: 2001::1 (src 2001::2) then 2002:836b:4179::1 (src
   2002:836b:4179::2) (prefer higher precedence)

Label is checked in Rule #5, and precedence is checked in Rule #6.  Since 2002:836b:4179::1 would be the only address with a matching label, I do not see why we go on to check the precedence.  I suppose it has something to do with that 2001 address that I do not understand from my previous question.

Any clarification you can add would be much appreciated.

Best Regards,
Tammy Leino

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "Leino, Tammy" <[email-masked]>
Date: Thu, 25 Oct 2007 13:40:24 -0600

Hello All,

I think I see my error.

::/0 is going to cover all addresses that aren't covered explicitly by some other prefix in the Default Policy Table, right?

Thanks,
Tammy

-----Original Message-----
From: Leino, Tammy 
Sent: Thursday, October 25, 2007 3:36 PM
To: [email-masked]
Subject: RFC 3484 Question

Hello All,

Prefix        Precedence   Label

Third Example:

Last Example:

Best Regards,
Tammy Leino

---

From: "Leino, Tammy" <[email-masked]>
Date: Thu, 25 Oct 2007 15:19:36 -0600

Hello All,

The revelation that ::/0 covers all addresses by default still leaves questions unanswered for me.

Example 3:

The outcome is based on higher precedence, but the example is not checking the labels first.  Rule 5 checks labels and Rule 6 checks precedence.  Wouldn't the label of 2001::1 be 1?  Also, wouldn't we create an IPv4-mapped address from the IPv4 address and return a label of 4?

Thanks,
Tammy

-----Original Message-----
From: Leino, Tammy 
Sent: Thursday, October 25, 2007 3:40 PM
To: [email-masked]
Subject: RE: RFC 3484 Question

Hello All,

I think I see my error.

Thanks,
Tammy

-----Original Message-----
From: Leino, Tammy 
Sent: Thursday, October 25, 2007 3:36 PM
To: [email-masked]
Subject: RFC 3484 Question

Hello All,

Prefix        Precedence   Label

Third Example:

Last Example:

Best Regards,
Tammy Leino

---

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Fri, 26 Oct 2007 11:59:13 +0900

At Thu, 25 Oct 2007 13:40:24 -0600,
"Leino, Tammy" <[email-masked]> wrote:

> ::/0 is going to cover all addresses that aren't covered explicitly
> by some other prefix in the Default Policy Table, right?

Yes.

(Continuing to your next question)

At Thu, 25 Oct 2007 15:19:36 -0600,

> The outcome is based on higher precedence, but the example is not
> checking the labels first.  Rule 5 checks labels and Rule 6 checks
> precedence.  Wouldn't the label of 2001::1 be 1?  Also, wouldn't we

Yes.

> Also, wouldn't we
> create an IPv4-mapped address from the IPv4 address and return a
> label of 4?

Yes.

I don't really understand the point of your question...are you asking
why the selection process doesn't stop at Rule 5?  If so: since both
of {dst=2001::1, src=2001::2} and {dst=10.1.2.3, src=10.1.2.4} have
matching labels (1 and 4 respectively), Rule 5 doesn't make a tie
break.  Hence Rule 6 applies.

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]

---

From: "Leino, Tammy" <[email-masked]>
Date: Fri, 26 Oct 2007 07:07:28 -0600

Thank you Jinmei.  I was thinking the lower label would win out, but now I realize that we are just looking for a matching label, and that a tie is produced by rule #5.

Best Regards,
Tammy

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Thursday, October 25, 2007 10:59 PM
To: Leino, Tammy
Cc: [email-masked]
Subject: Re: RFC 3484 Question

Yes.

Yes.

Yes.

					JINMEI, Tatuya